Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\Repository\Values\User\PolicyDraft Class Reference

Class PolicyDraft. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\User\PolicyDraft:

## Public Member Functions
| __get ($property)
| Magic get function handling read to non public properties. More...
| __set ($property, $propertyValue)
| Magic set function handling writes to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| getLimitations ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $innerPolicy
Protected Attributes inherited from eZ\Publish\API\Repository\Values\User\PolicyDraft
| $originalId
Protected Attributes inherited from eZ\Publish\API\Repository\Values\User\Policy
| $id
| $roleId
| $module
| $function

## Private Attributes
| $draftProperties = ['originalId' => true]

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Class PolicyDraft.

Meant for internal use by Repository, type hint against API object instead.

Definition at line 16 of file Core/Repository/Values/User/PolicyDraft.php.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\Repository\Values\User\PolicyDraft::__get | ( |  | $property | ) |

Magic get function handling read to non public properties.

Returns value for all readonly (protected) properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 28 of file Core/Repository/Values/User/PolicyDraft.php.

## ◆ __isset()

eZ\Publish\Core\Repository\Values\User\PolicyDraft::__isset | ( |  | $property | ) |

Magic isset function handling isset() to non public properties.

Returns true for all (public/)protected/private properties.

@ignore This method is for internal use

Parameters

  string | $property | Name of the property

Returns
  bool

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 46 of file Core/Repository/Values/User/PolicyDraft.php.

## ◆ __set()

eZ\Publish\Core\Repository\Values\User\PolicyDraft::__set | ( |  | $property,
|  |  | $value
| ) |  |

Magic set function handling writes to non public properties.

@ignore This method is for internal use

Exceptions

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 37 of file Core/Repository/Values/User/PolicyDraft.php.

## ◆ getLimitations()

eZ\Publish\Core\Repository\Values\User\PolicyDraft::getLimitations | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Values\User\Limitation[]

Reimplemented from eZ\Publish\API\Repository\Values\User\Policy.

Definition at line 58 of file Core/Repository/Values/User/PolicyDraft.php.

## Member Data Documentation

## ◆ $draftProperties

eZ\Publish\Core\Repository\Values\User\PolicyDraft::$draftProperties = ['originalId' => true]
| private

Definition at line 26 of file Core/Repository/Values/User/PolicyDraft.php.

## ◆ $innerPolicy

eZ\Publish\Core\Repository\Values\User\PolicyDraft::$innerPolicy
| protected

Definition at line 19 of file Core/Repository/Values/User/PolicyDraft.php.

The documentation for this class was generated from the following file:

- Core/Repository/Values/User/PolicyDraft.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.